Subject: bug#46469: [External] : bug#46469: 27.1; `isearch-del-char' should move point further back

From: Augusto Stoffel <[email-masked]>
Date: Mon, 15 Feb 2021 20:31:27 +0100

On Sun, 14 Feb 2021 at 19:49, Juri Linkov <[email-masked]> wrote:

> I wonder why you don't use `isearch-delete-char' in this case?
> It does exactly what you want - it undoes what you typed.

I've used `isearch-delete-char' for years and never really got used to
how it undoes a `C-s'.  It's too electric for me, somehow.

In any case, I can add a defcustom (or a third independent command,
which would be more or less equivalent) if anyone else has interest in
this.  But since that doesn't seem to be case, I would rather take back
my suggestion.

My interest was to make Isearch a (very tiny) bit more user-friendly,
but having 3 versions of delete would have the opposite effect, IMHO.
I can live with the current one, even if it's suboptimal.

Thanks,
Augusto